# API update transaction documents

* This is the API used to update KYC virtual account information.
* API:
  * Path: *v2/col/transactions/:transId/documents*
  * Method: *PUT*
  * Request: Content-Type: *application/json*

### **Request Parameter**

<table><thead><tr><th width="239">Parameter</th><th width="124">Data Type</th><th width="101">Required</th><th>Description</th></tr></thead><tbody><tr><td>colTransactionDataFile</td><td>String</td><td>N</td><td>Collection transaction data file (excel)</td></tr><tr><td>colLogisticAttachments</td><td>String Array</td><td>N</td><td>List of logistic tracking files (images and pdf)</td></tr></tbody></table>

### **Response Data**

| Parameter     | Data Type | Description                                                      |
| ------------- | --------- | ---------------------------------------------------------------- |
| code          | Number    | Error code, refer to [table of error codes](#../error-codes.md). |
| message       | String    | Error description.                                               |
| neoResponseId | String    | The ID of NeoX response.                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/global/collections/integration/transactions/update-transaction-documents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
